RubyGems Navigation menu

rubocop 0.50.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 0.84.0 - May 21, 2020 (377 KB)
  2. 0.83.0 - May 11, 2020 (405 KB)
  3. 0.82.0 - April 16, 2020 (403 KB)
  4. 0.81.0 - April 01, 2020 (400 KB)
  5. 0.80.1 - February 29, 2020 (398 KB)
  6. 0.50.0 - September 14, 2017 (328 KB)
Show all versions (138 total)

Runtime Dependencies (6):

  • parallel ~> 1.10
  • parser < 3.0, >= 2.3.3.1
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    9f7610b37b6746609c932ec8ac5b1a9b4b56f7526018c941393e79b2d93fedc2

    Total downloads 98,536,160

    For this version 2,028,613

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0.0

    Links: